import type { _NSAsynchronousFetchResult } from "./NSAsynchronousFetchResult.js";
import type { _NSFetchRequest } from "./NSFetchRequest.js";
import type { _NSPersistentStoreRequest } from "./NSPersistentStoreRequest.js";
export declare class _NSAsynchronousFetchRequest extends _NSPersistentStoreRequest {
    static alloc(): _NSAsynchronousFetchRequest;
    static new(): _NSAsynchronousFetchRequest;
    init(): _NSAsynchronousFetchRequest;
    initWithFetchRequest$completionBlock$(request: _NSFetchRequest, blk: ((arg0: _NSAsynchronousFetchResult) => void) | null): _NSAsynchronousFetchRequest;
    fetchRequest(): _NSFetchRequest;
    completionBlock(): ((arg0: _NSAsynchronousFetchResult) => void) | null;
    estimatedResultCount(): number;
    setEstimatedResultCount$(value: number): void;
}
